## Class Swift_MailTransport

(line 20)

## Description

    Swift_Transport_MailTransport
       |
       --Swift_MailTransport

Located in File: /vendors/swiftMailer/classes/Swift/MailTransport.php

##### Sends Messages using the mail() function.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
static Swift_MailTransport newInstance ([string $extraParams = '-f%s'])
Swift_MailTransport __construct ([string $extraParams = '-f%s'])

#### Static Method newInstance (line 43)

#### Swift_MailTransport newInstance( [string $extraParams = '-f%s'])

##### Create a new MailTransport instance.

#### Parameters

- string $extraParams: To be passed to mail()

#### Info

- access - public

#### Constructor __construct (line 27)

#### Swift_MailTransport __construct( [string $extraParams = '-f%s'])

Overrides : Swift_Transport_MailTransport::__construct() Create a new MailTransport with the $log.

##### Create a new MailTransport, optionally specifying $extraParams.

#### Parameters

- string $extraParams:

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

#### Inherited From Class Swift_Transport_MailTransport

#### Swift_Transport_MailTransport::__construct() - Create a new MailTransport with the $log.

#### Swift_Transport_MailTransport::getExtraParams() - Get the additional parameters used on the mail() function.

#### Swift_Transport_MailTransport::isStarted() - Not used.

#### Swift_Transport_MailTransport::registerPlugin() - Register a plugin.

#### Swift_Transport_MailTransport::send() - Send the given Message.

#### Swift_Transport_MailTransport::setExtraParams() - Set the additional parameters used on the mail() function.

#### Swift_Transport_MailTransport::start() - Not used.

#### Swift_Transport_MailTransport::stop() - Not used.

Documentation generated on Fri, 12 Nov 2010 20:45:24 +0000 by phpDocumentor 1.4.3